GStreamer::PadTemplate(3)

NAME
GStreamer::PadTemplate

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::PadTemplate

METHODS

  padtemplate = GStreamer::PadTemplate->new ($name_template, $direction, $presence, $caps)

•   $name_template (string)

•   $direction (GStreamer::PadDirection)

•   $presence (GStreamer::PadPresence)

•   $caps (GStreamer::Caps)

  caps = $templ->get_caps

  paddirection = $templ->get_direction

  string = $templ->get_name_template

  $templ->pad_created ($pad)

•   $pad (GStreamer::Pad)

  padpresence = $templ->get_presence

PROPERTIES

'caps' (GStreamer::Caps : default undef : readable / writable / construct-only / private)
    The capabilities of the pad described by the pad template

'direction' (GStreamer::PadDirection : default "unknown" : readable / writable / construct-only / private)
    The direction of the pad described by the pad template

'name-template' (string : default undef : readable / writable / construct-only / private)
    The name template of the pad template

'presence' (GStreamer::PadPresence : default "always" : readable / writable / construct-only / private)
    When the pad described by the pad template will become available

SIGNALS

pad-created (GStreamer::PadTemplate, GStreamer::Pad)

ENUMS AND FLAGS

  enum GStreamer::PadDirection
•   'unknown' / 'GST_PAD_UNKNOWN'

•   'src' / 'GST_PAD_SRC'

•   'sink' / 'GST_PAD_SINK'

  enum GStreamer::PadPresence

•   'always' / 'GST_PAD_ALWAYS'

•   'sometimes' / 'GST_PAD_SOMETIMES'

•   'request' / 'GST_PAD_REQUEST'

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.